# class Crystal::Macros::SizeOf

- Crystal::Macros::SizeOf
- Crystal::Macros::UnaryExpression
- Crystal::Macros::ASTNode

##
Overview

A `sizeof` expression.

Every expression `node` is equivalent to:

    sizeof({{ node.exp }})

##
Defined in:

compiler/crystal/macros.cr

### Instance methods inherited from class `Crystal::Macros::UnaryExpression`

exp : ASTNode exp

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, doc : StringLiteral doc, doc_comment : MacroId doc_comment, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize, warning(message : StringLiteral) : NilLiteral warning